package com.example.player.comand
{
	import com.example.player.events.PlayerEvent;
	
	import flashx.textLayout.formats.VerticalAlign;
	
	import org.osmf.events.MediaFactoryEvent;
	import org.osmf.layout.HorizontalAlign;
	import org.osmf.layout.LayoutMetadata;
	import org.osmf.media.MediaElement;
	import org.osmf.media.MediaResourceBase;
	import org.osmf.metadata.Metadata;
	import org.robotlegs.mvcs.Command;
	
	public class LoadPluginsCommand extends Command
	{
		[Inject]
		public var osmf:OSMFConfiguration;
		
		override public function execute():void
		{
			trace("hello setup "+osmf);

			
			// Add event listeners to the plug-in manager so we'll get
			// a heads-up when the control bar plug-in finishes loading:
			osmf.factory.addEventListener(MediaFactoryEvent.PLUGIN_LOAD, onPluginLoaded);
			osmf.factory.addEventListener(MediaFactoryEvent.PLUGIN_LOAD_ERROR, onPluginLoadError);
			
			// Ask the plug-in manager to load the control bar plug-in:
			osmf.factory.loadPlugin(ControlBarPluginSample.pluginResource);
		}
		
		private function onPluginLoaded(event:MediaFactoryEvent):void
		{
			// The plugin loaded successfully. We can now construct a control
			// bar media element, and add it as a child to the root parallel
			// element:
			
			this.dispatch(new PlayerEvent(PlayerEvent.PLUGIN_LOADED));
		}
		
		private function onPluginLoadError(event:MediaFactoryEvent):void
		{
			//TODO dispatch error event
			trace("ERROR: the control bar plugin failed to load.");
		}
		
		
	}
}